﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectWarmlyShip
{
    public class DrawDecksParal : IDrawingDecks
    {
        private NumDecks numDecks;
        public int SomeProperty
        {
            get
            {
                return SomeProperty;
            }
            set
            {
                switch (value)
                {
                    case 1:
                        numDecks = NumDecks.OneDeck;
                        break;
                    case 2:
                        numDecks = NumDecks.TwoDecks;
                        break;
                    case 3:
                        numDecks = NumDecks.ThreeDecks;
                        break;
                    default:
                        numDecks = NumDecks.OneDeck;
                        MessageBox.Show("Было введено неверное количество палуб, поэтому была выведена 1 палуба");
                        break;
                }
            }
        }
        public void Draw(int _startPosX, int _startPosY, Color Os, Graphics g)
        {
            Pen pen = new Pen(Color.Black);
            Brush os = new SolidBrush(Os);
            if (numDecks == NumDecks.OneDeck)
            {
                Point point1 = new Point(_startPosX + 40, _startPosY + 12);
                Point point2 = new Point(_startPosX + 50, _startPosY);
                Point point3 = new Point(_startPosX + 175, _startPosY);
                Point point4 = new Point(_startPosX + 165, _startPosY + 12);
                Point[] curvePoints1 = { point1, point2, point3, point4 };
                g.FillPolygon(os, curvePoints1);
            }
            if (numDecks == NumDecks.TwoDecks)
            {
                Point point1 = new Point(_startPosX + 40, _startPosY + 24);
                Point point2 = new Point(_startPosX + 50, _startPosY + 12);
                Point point3 = new Point(_startPosX + 175, _startPosY + 12);
                Point point4 = new Point(_startPosX + 165, _startPosY + 24);
                Point[] curvePoints1 = { point1, point2, point3, point4 };
                g.FillPolygon(os, curvePoints1);


                Point point5 = new Point(_startPosX + 62, _startPosY + 12);
                Point point6 = new Point(_startPosX + 72, _startPosY);
                Point point7 = new Point(_startPosX + 153, _startPosY);
                Point point8 = new Point(_startPosX + 143, _startPosY + 12);
                Point[] curvePoints2 = { point5, point6, point7, point8 };
                g.FillPolygon(os, curvePoints2);
            }
            if (numDecks == NumDecks.ThreeDecks)
            {
                Point point1 = new Point(_startPosX + 40, _startPosY + 36);
                Point point2 = new Point(_startPosX + 50, _startPosY + 24);
                Point point3 = new Point(_startPosX + 175, _startPosY + 24);
                Point point4 = new Point(_startPosX + 165, _startPosY + 36);
                Point[] curvePoints1 = { point1, point2, point3, point4 };
                g.FillPolygon(os, curvePoints1);


                Point point5 = new Point(_startPosX + 62, _startPosY + 24);
                Point point6 = new Point(_startPosX + 72, _startPosY + 12);
                Point point7 = new Point(_startPosX + 153, _startPosY + 12);
                Point point8 = new Point(_startPosX + 143, _startPosY + 24);
                Point[] curvePoints2 = { point5, point6, point7, point8 };
                g.FillPolygon(os, curvePoints2);

                Point point9 = new Point(_startPosX + 87, _startPosY + 12);
                Point point10 = new Point(_startPosX + 97, _startPosY);
                Point point11 = new Point(_startPosX + 131, _startPosY);
                Point point12 = new Point(_startPosX + 121, _startPosY + 12);
                Point[] curvePoints3 = { point9, point10, point11, point12 };
                g.FillPolygon(os, curvePoints3);
            }
        }
    }
}
