﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectWarmlyShip
{
    public class DrawDecksSquare : IDrawingDecks
    {
        private NumDecks numDecks;

        public int SomeProperty
        {
            get
            {
                return SomeProperty;
            }
            set
            {
                switch (value)
                {
                    case 1:
                        numDecks = NumDecks.OneDeck;
                        break;
                    case 2:
                        numDecks = NumDecks.TwoDecks;
                        break;
                    case 3:
                        numDecks = NumDecks.ThreeDecks;
                        break;
                    default:
                        numDecks = NumDecks.OneDeck;
                        MessageBox.Show("Было введено неверное количество палуб, поэтому была выведена 1 палуба");
                        break;
                }
            }
        }
        public void Draw(int _startPosX, int _startPosY, Color Os, Graphics g)
        {
            Pen pen = new Pen(Color.Black);
            Brush os = new SolidBrush(Os);
            if (numDecks == NumDecks.OneDeck)
            {
                g.DrawRectangle(pen, _startPosX + 50, _startPosY + 0, 125, 12);
                g.FillRectangle(os, _startPosX + 50, _startPosY + 0, 125, 12);
            }
            if (numDecks == NumDecks.TwoDecks)
            {
                g.DrawRectangle(pen, _startPosX + 50, _startPosY + 12, 125, 12);
                g.DrawRectangle(pen, _startPosX + 75, _startPosY, 75, 12);
                g.FillRectangle(os, _startPosX + 50, _startPosY + 12, 125, 12);
                g.FillRectangle(os, _startPosX + 75, _startPosY, 75, 12);
            }
            if (numDecks == NumDecks.ThreeDecks)
            {
                g.DrawRectangle(pen, _startPosX + 50, _startPosY + 24, 125, 12);
                g.DrawRectangle(pen, _startPosX + 75, _startPosY + 12, 75, 12);
                g.DrawRectangle(pen, _startPosX + 100, _startPosY, 25, 12);
                g.FillRectangle(os, _startPosX + 50, _startPosY + 24, 125, 12);
                g.FillRectangle(os, _startPosX + 75, _startPosY + 12, 75, 12);
                g.FillRectangle(os, _startPosX + 100, _startPosY, 25, 12);
            }
        }
    }
}
